SoNormalBindingElement(3)

NAME
SoNormalBindingElement - The SoNormalBindingElement is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoNormalBindingElement.h>

Inherits SoInt32Element.

  Public Types
enum Binding { OVERALL = 2, PER_PART, PER_PART_INDEXED, PER_FACE, PER_FACE_INDEXED, PER_VERTEX, PER_VERTEX_INDEXED, DEFAULT = PER_VERTEX_INDEXED, NONE = OVERALL }

  Public Member Functions
virtual void init (SoState *state)
Public Member Functions inherited from SoInt32Element
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const
virtual void print (FILE *file) const
virtual void setElt (int32_t value)
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const Binding binding)
FIXME: write doc.
static void set (SoState *const state, const Binding binding)
FIXME: write doc.
static Binding get (SoState *const state)
FIXME: write doc.
static Binding getDefault ()
FIXME: write doc.
Static Public Member Functions inherited from SoInt32Element
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
static void set (const int index, SoState *const state, SoNode *const node, const int32_t value)
static void set (const int index, SoState *const state, const int32_t value)
static int32_t get (const int index, SoState *const state)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoNormalBindingElement ()
Protected Member Functions inherited from SoInt32Element
virtual ~SoInt32Element ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoInt32Element
int32_t data
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoNormalBindingElement is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoNormalBindingElement::Binding
FIXME: write doc.

Constructor & Destructor Documentation

  SoNormalBindingElement::~SoNormalBindingElement (void ) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoNormalBindingElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoNormalBindingElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoNormalBindingElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoNormalBindingElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoNormalBindingElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for normalBinding is SoNormalBindingElement::DEFAULT.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.